Skip to main content
POST
/
api
/
markdown-plans
Create markdown plan
curl --request POST \
  --url https://app.solya.app/api/markdown-plans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "First markdown wave covering slow-movers from the spring collection",
  "endDate": "2025-06-30",
  "name": "Summer 2025 Wave A",
  "season": "SS25",
  "startDate": "2025-06-01"
}
'
{
  "id": "ms-uuid-001",
  "name": "Summer 2025 Wave A",
  "status": "DRAFT"
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Body

application/json
endDate
string<date>
required

Plan end date in ISO-8601 format (e.g. 2025-06-30)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
name
string
required

Display name for the markdown plan

Minimum string length: 1
startDate
string<date>
required

Plan start date in ISO-8601 format (e.g. 2025-06-01)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
collectionId
string

Optional identifier of the collection

description
string

Optional free-text description of the plan

season
string

Optional season code, e.g. SS25 or FW25

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true